jQuery(document).ready(function () {
	
$("#expedientes_feedback").rup_feedback({
	gotoTop: true,
	block : false
});

if (registroManual == 0){
	//$("form input[id=FRegSal014Req]").attr("disabled", "disabled");
	$("form input[id=FRegSal014Req]").attr("readonly", "true");
	//$("form input[id=NRegSal014Req]").attr("disabled", "disabled");
	$("form input[id=NRegSal014Req]").attr("readonly", "true");
	//$("#FRegSal014Req").rup_date({datetimepicker: true, disabled: true});
} else {
	$("#FRegSal014Req").rup_date({datetimepicker: true});
}
//$("form input[id=FNotif014Req]").attr("disabled", "disabled");
$("form input[id=FNotif014Req]").attr("readonly", "true");


if ($("#id004Firmante").val()){
	 $("#firmantesFieldset input[type=radio][value=" + $("#id004Firmante").val()+"]").prop("checked", true);
}

$("#requerimientos_form").rup_validate({
	feedback:$("#tramitacion_feedback"),
	liveCheckingErrors: true,
	showFieldErrorAsDefault: true,
	showErrorsInFeedback: true,
	showFieldErrorsInFeedback: true,
	rules:{
		"fTramitacion014":{required:true, date:true},
		"FRegSal014Req":{required:function(){
			if (registroManual == 1){return true;} 
			else { return false;}
			}, dateTime:true},
		"NRegSal014Req":{required:function(){
			if (registroManual == 1){return true;} 
			else { return false;}
			}
		}
	}
});

var hayDoc = contarDocs ();
var estaEnDokusi= enDokusi();

//Botonera guardar datos expediente
if(!estadoCierreRealizado && esUsuarioModificacion){
	if(estaEnDokusi==false){
		if(hayDoc==true){
			$("#gestionarDocsReq_toolbar").rup_toolbar({
				buttons:
					[{id:"BorrarDocumento", i18nCaption:$.rup.i18n.app.botones.BorrarDoc, left:true},
					 {id:"EditarDocumento", i18nCaption:$.rup.i18n.app.botones.EditarDoc, left:true, click:fncDescargaDocumentoPif},
					 {id:"FirmarDocumento", i18nCaption:$.rup.i18n.app.botones.FirmarDoc, left:true}]
			});
			
			bloqueaCampos();
		
		}else{
			$("#gestionarDocsReq_toolbar").rup_toolbar({
				buttons:
					[{id:"GenerarDocumento", i18nCaption:$.rup.i18n.app.botones.GenerarDoc, left:true, click:fn_generar_Req},
					 {id:"DeshacerRequerimiento", i18nCaption:$.rup.i18n.app.botones.DeshacerRequerimiento, left:true}]
			});
			$("#fTramitacion014").rup_date({datetimepicker: false});
		}
	} else {
		bloqueaCampos();
		
	
		if (idestado == 5){
			/*$("#gestionarDocsReq_toolbar").rup_toolbar({
				buttons:
					[{id:"DeshacerRequerimiento", i18nCaption:$.rup.i18n.app.botones.DeshacerRequerimiento, left:true}]
			});*/		
		} else {
			if(vistoBueno=="S"){
				$("#gestionarDocsReq_toolbar").rup_toolbar({
					buttons:
						[{id:"VistoBueno", i18nCaption:$.rup.i18n.app.botones.VistoBueno, left:true, click:fncVistoBueno}]
				});
			}  		
		}		
	}
}else{
	bloqueaCampos();
}

$("[id='gestionarDocsReq_toolbar##DeshacerRequerimiento']").click(function(){
	fn_deshacer($.rup.i18n.app.mensajes.confirmDeshacerRequerimiento);
});

$("[id='gestionarDocsReq_toolbar##BorrarDocumento']").click(function(){
	fn_borrar($.rup.i18n.app.mensajes.confirmBorrarDocumento);
});

$("[id='gestionarDocsReq_toolbar##FirmarDocumento']").click(function(){
	fncSubirDocumentoDokusi();
});

/*function bloqueaCampos() {
	$("form input[name=docRequerimiento]").attr("checked", true);
	$("form input[name=docRequerimiento]").attr("disabled", "disabled");
	
	$("#observacionesEsReq").attr("disabled", "disabled");
	$("#observacionesEuReq").attr("disabled", "disabled");
	$("#fTramitacion014").attr("disabled","disabled");
	
	$("form input[name=firmante]").attr("disabled", "disabled");	
	$("form input[type=checkbox]").attr("disabled", "disabled");
	
	$("form input[id=FRegSal014Req]").attr("disabled", "disabled");
	$("form input[id=NRegSal014Req]").attr("disabled", "disabled");
	$("#FRegSal014Req").rup_date({datetimepicker: true, disabled: true});
}*/


function bloqueaCampos() {
	$("form input[name=docRequerimiento]").attr("checked", true);
	$("form input[name=docRequerimiento]").attr("readonly", true);
	
	$("#observacionesEsReq").attr("readonly", true);
	$("#observacionesEuReq").attr("readonly", true);
	$("#fTramitacion014").attr("readonly",true);
	
	$("form input[name=firmante]").attr("disabled", "disabled");	
	$("form input[type=checkbox]").attr("disabled", "disabled");
	
	$("form input[id=FRegSal014Req]").attr("readonly", true);
	$("form input[id=NRegSal014Req]").attr("readonly", true);
//	$("#FRegSal014Req").rup_date({datetimepicker: true, disabled: true});
}


function fn_generar_Req (){
	 var tipoDocumento= "Requerimiento";
	 var idExpediente = $("#idProv010").val()+"/"+$("#idAno010").val()+"/"+$("#id010").val();
	 var idFase=$("#id001Fase").val();
	 var id014=$("#id014").val();
	 var idFirmante = $("[name=firmante]:checked").val();
	 var fTramitacion = $("#fTramitacion014").val();
	var docs = "";
	$("#documentosFieldset input[type=checkbox]").each(function(){
		if (this.checked){
			if (docs == ""){
				docs = this.name;				
			} else {
				docs = docs + "," + this.name;
			}

		}
	});	 
	 
	if(ab03bUtils.form.validate($("#requerimientos_form"), $("#tramitacion_feedback"))){
		 if(isFirmanteSeleccionado()){
			 $.rup_ajax({
					url: $.rup.CTX_PATH + "documento/generarDocumento",
					dataType: 'json',
					cache:false,
					data:{
						"idExpediente" : idExpediente,
						"idFirmante": idFirmante,
						"observacionesEs" : $("#observacionesEsReq").val(),
						"observacionesEu" : $("#observacionesEuReq").val(),
						"FRegSal014" : $("#FRegSal014Req").rup_date("getDate"),
						"NRegSal014" : $("#NRegSal014Req").val(),
						"idFase":idFase,
						"id014":id014,
						"tipoDocumento": tipoDocumento,
						"fTramitacion014": fTramitacion,
						"docs": docs
					},
					type:"GET",
					contentType: 'application/json',
					success: function(xhr, ajaxOoptions){
						fncEditarPifSuccess(xhr.rutaCompleta);
						location.href = "../../../../"+ idExpediente + "/"+id014+"/"+estadoCierreRealizado+"?accionOK=true";
					},
					error: function(error){
						ab03bUtils.feedback.pintarFeedbackError(error.responseText, $("#feedbackMensajes"));
						$("#FRegSal014Req").rup_date("setDate", null);
						$("#NRegSal014Req").val("");
					},
					beforeSend : function() {
						ab03bUtils.util.bloquearInterfaz();
					},
					complete: function() {
						ab03bUtils.util.desBloquearInterfaz();
					}
				});
		 }else{
			 ab03bUtils.feedback.pintarFeedbackError($.rup.i18n.app.mensajes.errorFirmante,  $("#tramitacion_feedback"));
		 }
	}
	};
});		